# Save prices

Use the **savePrices** method to update product prices for a specific pricing configuration.

## Request parameters

<table><thead><tr><th width="273">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><p><strong>Required (string)</strong></p><p>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect. The <code>sessionID</code> expires in <strong>10 minutes</strong>.</p></td></tr><tr><td><code>BasicPrice</code></td><td><p><strong>Object</strong></p><p>Details below.</p></td></tr><tr><td><code>BasicPrice.Currency</code></td><td><strong>String</strong><br>The currency ISO code used for shipping costs - ISO 4217.</td></tr><tr><td><code>BasicPrice.Amount</code></td><td><strong>Float</strong><br>Basic price.</td></tr><tr><td><code>Quantities</code></td><td><p><strong>Object</strong></p><p>Details below.</p></td></tr><tr><td><code>Quantities.MinQuantity</code></td><td><strong>String</strong><br>The minimum quantity of volume discounts. Default is 1.</td></tr><tr><td><code>Quantities.MaxQuantity</code></td><td><strong>String</strong><br>The maximum quantity of volume discounts. Default is 99999.</td></tr><tr><td><code>PriceOptionsAssigned</code></td><td><p><strong>Required (object)</strong></p><p>Details below.</p></td></tr><tr><td><code>PriceOptionsAssigned.Code</code></td><td><strong>String</strong><br>Price option identifier.</td></tr><tr><td><code>PriceOptionsAssigned.Options</code></td><td><strong>Array of strings</strong><br>The pricing options group option code you configured that the 2Checkout system uses to calculate product prices for pricing configurations without a base price.</td></tr><tr><td><code>PricingConfigCode</code></td><td><p><strong>Required (string)</strong></p><p>System-generated unique pricing configuration code. Read-only.</p></td></tr><tr><td><code>type</code></td><td><p><strong>Require (string)</strong></p><ul><li>REGULAR</li><li>RENEWAL</li></ul></td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$Prices = array();
$Prices[0] = new stdClass();
$Prices[0]->Currency = 'USD';
$Prices[0]->Amount = 999.99;
$Prices[1] = new stdClass();
$Prices[1]->Currency = 'EUR';
$Prices[1]->Amount = 111.99;
$Quantities = new stdClass();
$Quantities->MinQuantity = 1;
$Quantities->MaxQuantity = 99999;
$PriceOptions = null;
/*
$PriceOptions = array();
$PriceOptions[0] = new stdClass();
$PriceOptions[0]->Code = '04WCPNHWQ5';
$PriceOptions[0]->Options = array();
$PriceOptions[0]->Options[0] = 'loqmhwcpwk';
$PriceOptions[0]->Options[1] = 'n7332ux312';
$PriceOptions[1] = new stdClass();
$PriceOptions[1]->Code = '4CU1OVAGAA';
$PriceOptions[1]->Options = array();
$PriceOptions[1]->Options[0] = 'dvk7hv62jg';
$PriceOptions[1]->Options[1] = 'uf1svzaxcd';
*/
$PricingConfig              = new stdClass();
$PricingConfig->ProductCode = 'NewSubscriptionPlan_Code_12345';
$PricingConfig->Country     = null;
$type                       = 'REGULAR';

try {
    $NewPrice = $client->savePrices($sessionID, $Prices, $Quantities, $PriceOptions, $PricingConfig, $type);
}

catch (SoapFault $e) {
    echo "NewPrice: " . $e->getMessage();
    exit;
}

var_dump("NewPrice", $NewPrice);


?>
```

### Response sample

```php
bool(true)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/pricing-configuration/save-prices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
